Groovy 1.7.10

## org.codehaus.groovy.ast.expr
[Java] Class ConstructorCallExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ConstructorCallExpression

    public class ConstructorCallExpression
    extends Expression

A constructor call

Authors:
  James Strachan
  Jochen Theodorou

Version:
  \$Revision: 19882 \$

Constructor Summary
`ConstructorCallExpression(ClassNode type, Expression arguments)`

Method Summary
`Expression` | `getArguments()`
`String` | `getText()`
`boolean` | `isSpecialCall()`
`boolean` | `isSuperCall()`
`boolean` | `isThisCall()`
`boolean` | `isUsingAnnonymousInnerClass()`
`boolean` | `isUsingAnonymousInnerClass()`
`void` | `setUsingAnonymousInnerClass(boolean usage)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ConstructorCallExpression

    public ConstructorCallExpression(ClassNode type, Expression arguments)

Method Detail

### getArguments

    public Expression getArguments()

### getText

    public String getText()

### isSpecialCall

    public boolean isSpecialCall()

### isSuperCall

    public boolean isSuperCall()

### isThisCall

    public boolean isThisCall()

### isUsingAnnonymousInnerClass

    @Deprecated
    public boolean isUsingAnnonymousInnerClass()

### isUsingAnonymousInnerClass

    public boolean isUsingAnonymousInnerClass()

### setUsingAnonymousInnerClass

    public void setUsingAnonymousInnerClass(boolean usage)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.